Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner
Class BaseInfGraph.InfCapabilities

    java.lang.Object
      com.hp.hpl.jena.graph.impl.AllCapabilities
          com.hp.hpl.jena.reasoner.BaseInfGraph.InfCapabilities

All Implemented Interfaces:
  Capabilities

Direct Known Subclasses:
  BaseInfGraph.InfFindSafeCapabilities

Enclosing class:
  BaseInfGraph

    public static class BaseInfGraph.InfCapabilities

extends com.hp.hpl.jena.graph.impl.AllCapabilities

An InfCapabilities notes that size may not be accurate, and some triples may be irremovable. TODO accomodate the properties of the base graph, too.

Author:
  hedgehog

Constructor Summary
`BaseInfGraph.InfCapabilities()`

Method Summary
`boolean` | `deleteAllowed(boolean every)` Answer true if Graph::delete() can be used to remove at least some triples from the graph.
`boolean` | `findContractSafe()` Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).
`boolean` | `iteratorRemoveAllowed()` Answer true iff the iterators returned from find support the .remove() operation.
`boolean` | `sizeAccurate()` Answer true iff Graph::size() is accurate.

Methods inherited from class com.hp.hpl.jena.graph.impl.AllCapabilities
`addAllowed, addAllowed, canBeEmpty, deleteAllowed, handlesLiteralTyping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseInfGraph.InfCapabilities

    public BaseInfGraph.InfCapabilities()

Method Detail

### sizeAccurate

    public boolean sizeAccurate()

  Description copied from interface: `Capabilities`
  Answer true iff Graph::size() is accurate.

  Specified by:
    `sizeAccurate` in interface `Capabilities`
  Overrides:
    `sizeAccurate` in class `com.hp.hpl.jena.graph.impl.AllCapabilities`

### deleteAllowed

    public boolean deleteAllowed(boolean every)

  Description copied from interface: `Capabilities`
  Answer true if Graph::delete() can be used to remove at least some triples from the graph. If everyTriple is true, any such triple may be removed.

  Specified by:
    `deleteAllowed` in interface `Capabilities`
  Overrides:
    `deleteAllowed` in class `com.hp.hpl.jena.graph.impl.AllCapabilities`

### iteratorRemoveAllowed

    public boolean iteratorRemoveAllowed()

  Description copied from interface: `Capabilities`
  Answer true iff the iterators returned from find support the .remove() operation.

  Specified by:
    `iteratorRemoveAllowed` in interface `Capabilities`
  Overrides:
    `iteratorRemoveAllowed` in class `com.hp.hpl.jena.graph.impl.AllCapabilities`

### findContractSafe

    public boolean findContractSafe()

  Description copied from interface: `Capabilities`
  Answer true if the find() contract on the associated graph is "safe", ie, can be used safely by the pretty-printer (we'll tighten up that definition).

  Specified by:
    `findContractSafe` in interface `Capabilities`
  Overrides:
    `findContractSafe` in class `com.hp.hpl.jena.graph.impl.AllCapabilities`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP